Package org.apache.tapestry5.jpa

# Class JpaSymbols

java.lang.Object
org.apache.tapestry5.jpa.JpaSymbols

public class JpaSymbols extends Object
Configuration symbols, for use with contributions to `ApplicationDefaults`.

Since:
  5.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EARLY_START_UP`
  If "true", then JPA will be started up at application launch, rather than lazily.
  `static final String`
  `ENTITY_SESSION_STATE_PERSISTENCE_STRATEGY_ENABLED`
  If true, then "entity" persistence strategy is used to store JPA entities as `Session State Objects`.
  `static final String`
  `PERSISTENCE_DESCRIPTOR`
  The location of the persistence configuration file, located on the classpath.
  `static final String`
  `PROVIDE_ENTITY_VALUE_ENCODERS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JpaSymbols()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROVIDE_ENTITY_VALUE_ENCODERS

    public static final String PROVIDE_ENTITY_VALUE_ENCODERS
    See Also:
      - Constant Field Values

  - ### EARLY_START_UP

    public static final String EARLY_START_UP
    If "true", then JPA will be started up at application launch, rather than lazily.
    Since:
      5.3
    See Also:
      - Constant Field Values

  - ### ENTITY_SESSION_STATE_PERSISTENCE_STRATEGY_ENABLED

    public static final String ENTITY_SESSION_STATE_PERSISTENCE_STRATEGY_ENABLED
    If true, then "entity" persistence strategy is used to store JPA entities as `Session State Objects`.
    Since:
      5.3
    See Also:
      - Constant Field Values

  - ### PERSISTENCE_DESCRIPTOR

    public static final String PERSISTENCE_DESCRIPTOR
    The location of the persistence configuration file, located on the classpath. This will normally be `/META-INF/persistence.xml`.
    Since:
      5.3
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JpaSymbols

    public JpaSymbols()